> For the complete documentation index, see [llms.txt](https://docs.xverse.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xverse.app/sats-connect/bitcoin-methods/mint-runes/runes_estimatemint.md).

# runes\_estimateMint

Use the `runes_estimateMint` method to estimate the cost of a Rune mint order for your user, before executing it.

You can specify the characteristics of the Runes mint order you wish to estimate, by passing an `EstimateMintParams` object to the method, with the below properties:

<table><thead><tr><th width="243">EstimateMintParams </th><th>Description</th></tr></thead><tbody><tr><td><code>runeName</code></td><td>a string representing the <a href="https://docs.ordinals.com/runes.html#name">name of the Rune </a>to mint</td></tr><tr><td><code>repeats</code></td><td>a number representing the number of mint transactions to create. Every mint transaction creates a <a href="https://docs.ordinals.com/runes.html#amount">fixed amount </a>of new units of a rune, you can use <code>repeats</code> to mint a multiple of that amount. <br><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> Note that there is a 4000 repeat limit per order</td></tr><tr><td><code>destinationAddress</code></td><td>The Bitcoin address to which the minted runes should be allocated.<br><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span>If minting Runes for your user, you can fetch their wallet addresses with the <a href="/sats-connect/wallet-methods/wallet_getaccount.md">getAccounts</a> method. <br><span data-gb-custom-inline data-tag="emoji" data-code="26a0">⚠️</span> We recommend managing runes holdings on taproot/ordinal addresses.</td></tr><tr><td><code>feeRate</code> </td><td>a number representing the desired fee rate to set for the Rune mint transaction(s), in sats per vbytes</td></tr><tr><td><code>appServiceFee</code> (<span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional)</td><td>a number representing the sats value of the fee to charge your user for your service. </td></tr><tr><td><code>appServiceFeeAddress</code> (<span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional)</td><td>a string representing the Bitcoin address which will receive the  <code>appServiceFee</code>, if a fee is specified</td></tr><tr><td><code>network</code> (<span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional)</td><td>a string representing the Bitcoin network to use for the mint runes transactions: <code>'Mainnet'</code> or <code>'Testnet'</code></td></tr></tbody></table>

<pre class="language-typescript"><code class="lang-typescript"><strong>import { request } from "sats-connect";
</strong>
    const response = await request('runes_estimateMint', {
      destinationAddress: ordinalsAddress,
      feeRate: +feeRate,
      repeats: +repeats,
      runeName: runeName,
    });

    if (response.status === 'success') {
      setTotalCost(response.result.totalCost);
      setTotalSize(response.result.totalSize);
    } else {
      console.error(response.error);
      alert('Error Fetching Estimate. See console for details.');
    }
</code></pre>

The `runes_estimateMint` method will **not** trigger any mint operation or prompt your user to sign any transaction. It will return an `EstimateMintResponse` object, intended for you and your user to anticipate the mint costs and their breakdown:

<table><thead><tr><th width="296">EstimateMintResponse property </th><th>Description</th></tr></thead><tbody><tr><td><code>totalSize</code></td><td>a number representing the total size of the mint transaction(s), in vbytes </td></tr><tr><td><code>totalCost</code></td><td>a number representing the total cost of the mint transaction(s) in sats</td></tr><tr><td><code>costBreakdown</code></td><td><p>An object representing the cost breakdown of the mint transaction(s), with the below properties:</p><ul><li><code>postage</code> a number representing the total size of the Rune UTXOs minted, in sats</li><li><code>networkFee</code> a number representing the total network fee for the mint transaction(s), in sats</li><li><code>serviceFee</code> a number representing the total Sats Connect fee for processing the mint order, in sats</li><li><code>appServiceFee</code> a number representing the optional service fee your app charges the user for the mint order</li></ul></td></tr></tbody></table>

See the [runes\_mint](/sats-connect/bitcoin-methods/mint-runes/runes_mint.md) method if you wish to execute a Runes mint order after estimating its cost.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xverse.app/sats-connect/bitcoin-methods/mint-runes/runes_estimatemint.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
